Package groovy.xml.slurpersupport

# Class Node

java.lang.Object
groovy.xml.slurpersupport.Node

All Implemented Interfaces:
  `Writable`

    public class Node
    extends java.lang.Object
    implements Writable

Represents a node.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Node​(Node parent, java.lang.String name, java.util.Map attributes, java.util.Map attributeNamespaces, java.lang.String namespaceURI)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addChild​(java.lang.Object child)` | Adds an object as a new child to this Node.
  `protected void` | `appendNode​(java.lang.Object newValue, GPathResult result)` |
  `java.util.Map` | `attributes()` | Returns a map of the attributes of this Node.
  `void` | `build​(GroovyObject builder, java.util.Map namespaceMap, java.util.Map<java.lang.String,​java.lang.String> namespaceTagHints)` |
  `java.util.Iterator` | `childNodes()` | Returns an iterator over the child nodes of this Node.
  `java.util.List` | `children()` | Returns a list of the children of this Node.
  `java.util.List<java.lang.String>` | `localText()` | Returns the list of any direct String nodes of this node.
  `java.lang.String` | `name()` | Returns the name of this Node.
  `java.lang.String` | `namespaceURI()` | Returns the URI of the namespace of this Node.
  `Node` | `parent()` | Returns the parent of this Node.
  `protected void` | `replaceBody​(java.lang.Object newValue)` | Replaces the current body of this Node with the passed object.
  `void` | `replaceNode​(Closure replacementClosure, GPathResult result)` |
  `java.lang.String` | `text()` | Returns a string containing the text of the children of this Node.
  `java.io.Writer` | `writeTo​(java.io.Writer out)` | Writes this object to the given writer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Node

    public Node​(Node parent, java.lang.String name, java.util.Map attributes, java.util.Map attributeNamespaces, java.lang.String namespaceURI)
    Parameters:
      `parent` - the parent node
      `name` - the name for the node
      `attributes` - the attributes for the node
      `attributeNamespaces` - the namespace mappings for attributes
      `namespaceURI` - the namespace URI if any

- ## Method Details

  - ### name

    public java.lang.String name()
    Returns the name of this Node.
    Returns:
      the name of this Node

  - ### parent

    public Node parent()
    Returns the parent of this Node.
    Returns:
      the parent of this Node

  - ### namespaceURI

    public java.lang.String namespaceURI()
    Returns the URI of the namespace of this Node.
    Returns:
      the namespace of this Node

  - ### attributes

    public java.util.Map attributes()
    Returns a map of the attributes of this Node.
    Returns:
      a map of the attributes of this Node

  - ### children

    public java.util.List children()
    Returns a list of the children of this Node.
    Returns:
      a list of the children of this Node

  - ### addChild

    public void addChild​(java.lang.Object child)
    Adds an object as a new child to this Node.
    Parameters:
      `child` - the object to add as a child

  - ### replaceNode

    public void replaceNode​(Closure replacementClosure, GPathResult result)

  - ### replaceBody

    protected void replaceBody​(java.lang.Object newValue)
    Replaces the current body of this Node with the passed object.
    Parameters:
      `newValue` - the new body

  - ### appendNode

    protected void appendNode​(java.lang.Object newValue, GPathResult result)

  - ### text

    public java.lang.String text()
    Returns a string containing the text of the children of this Node.
    Returns:
      a string containing the text of the children of this Node

  - ### localText

    public java.util.List<java.lang.String> localText()
    Returns the list of any direct String nodes of this node.
    Returns:
      the list of String values from this node
    Since:
      2.3.0

  - ### childNodes

    public java.util.Iterator childNodes()
    Returns an iterator over the child nodes of this Node.
    Returns:
      an iterator over the child nodes of this Node

  - ### writeTo

    public java.io.Writer writeTo​(java.io.Writer out) throws java.io.IOException
    Description copied from interface: `Writable`
    Writes this object to the given writer.

    This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

    Specified by:
      `writeTo` in interface `Writable`
    Parameters:
      `out` - the Writer to which this Writable should output its data.
    Returns:
      the Writer that was passed
    Throws:
      `java.io.IOException` - if an error occurred while outputting data to the writer

  - ### build

    public void build​(GroovyObject builder, java.util.Map namespaceMap, java.util.Map<java.lang.String,​java.lang.String> namespaceTagHints)